{% extends 'site_base.html' %}
{% load static %}
{% load crispy_forms_tags %}
{% load humanize %}


{% block content %}
<head>
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <link rel="stylesheet" type="text/css" href="{% static 'css/new-style.css' %}">
    <script src="{% static 'js/product_list.js' %}"></script>
    <link rel="stylesheet" href="{% static 'css/jquery.toast.css' %}">

    <script type="text/javascript" src="{% static 'js/jquery.toast.js' %}"></script>
</head>

<form method="POST" >
  {% csrf_token %}
  <div class="box-header with-border">
    <span id="btn-back" class="glyphicon glyphicon-circle-arrow-left"></span>
    
    <h3 style="font-size: 28px;" class="box-title">Email and Sms</h3>
    
</div>
  <section class="content">
      


        <div class="box box-primary">
            
                <title> create email or sms  </title>
            
        
           
        <div class="box-body">
        <div class="form-group col-md-12 col-sm-12">
             
            <div id="div_id_alerts" class="form-group">
            <label for="id_alerts" class="control-label  requiredField">
              Alerts<span class="asteriskField">*</span>
            </label>
          <div class="controls ">
            <select name="alerts" required onchange="return ddlchange();" class="select form-control" id="id_alerts">
          {% if querystring %}
          <option {% if querystring == 'New_order_placed' %}selected{% endif %} value="New_order_placed">New order placed</option>
        
          <option {% if querystring == 'Dispatch_Delivered' %}selected{% endif %}  value="Dispatch_Delivered">Dispatch/Delivered</option>
        
          <option {% if querystring == 'EOD_Summary_of_Sales' %}selected{% endif %}  value="EOD_Summary_of_Sales">EOD Summary of Sales</option>
        
          <option {% if querystring == 'Order_Cancelled' %}selected{% endif %}  value="Order_Cancelled">Order Cancelled</option>
        
          <option  {% if querystring == 'Payment_Updated_Received' %}selected{% endif %}  value="Payment_Updated_Received">Payment Updated Received</option>
          
            {% else %}
          
          <option {% if alerts.alertstype == 'New_order_placed' %}selected{% endif %} value="New_order_placed">New order placed</option>
        
          <option {% if alerts.alertstype == 'Dispatch_Delivered' %}selected{% endif %}  value="Dispatch_Delivered">Dispatch/Delivered</option>
        
          <option {% if alerts.alertstype == 'EOD_Summary_of_Sales' %}selected{% endif %}  value="EOD_Summary_of_Sales">EOD Summary of Sales</option>
        
          <option {% if alerts.alertstype == 'Order_Cancelled' %}selected{% endif %}  value="Order_Cancelled">Order Cancelled</option>
        
          <option  {% if alerts.alertstype == 'Payment_Updated_Received' %}selected{% endif %}  value="Payment_Updated_Received">Payment Updated Received</option>
          {% endif %}
        
        </select></div>
          
            </div>
       </div>
    <div class="form-group col-md-12 col-sm-12">
   
            <div id="div_id_Action" class="form-group">
                
                    <label for="id_Action" class="control-label  requiredField">
                            Action<span class="asteriskField">*</span>
                    </label>
        <div class="controls ">
             <select name="Action" required class="select form-control" id="id_Action">
          <option {% if alerts.sendtype == 'email' %}selected{% endif %} value="email">EMAIL</option>
        
          <option {% if alerts.sendtype == 'sms' %}selected{% endif %} value="sms">SMS</option>
        
          <option {% if alerts.sendtype == 'both' %}selected{% endif %} value="both">BOTH</option>
        </select>
        </div>
        </div>
        </div>
        <div class="form-group col-md-12 col-sm-12">
      
            <div id="div_id_region_id" class="form-group">
                
                    <label for="id_region_id" class="control-label ">
                        Notification Role
                    </label>
<input type="hidden" name="ID" id="ID" value="{{data}}">
<input type="hidden" name="queryset" id="queryset" value="{{querystring}}">
            <div class="controls ">
                  
                  {% if querystring %}
                    {% if querystring == "New_order_placed" %}
                    <div class="col-xs-12 col-sm-2 col-md-2" id="srdiv">
                            <input type="checkbox" {% if alerts.recipient_1 == 'SR' %}checked{% endif %} name="checkbox1" class="checkclass" value="SR" id="sr"><label for="sr">SR</label>
                        </div>
                        <div class="col-xs-12 col-sm-2 col-md-2" id="Dealerdiv">
                            <input type="checkbox"  {% if alerts.recipient_2 == 'DEL' %}checked{% endif %}  name="checkbox2" class="checkclass" value="DEL" id="Dealer"><label for="Dealer">Dealer</label>
                        </div>
                        <div class="col-xs-12 col-sm-3 col-md-3" id="BusinessHeaddiv">
                            <input type="checkbox"  {% if alerts.recipient_3 == 'BusinessHead' %}checked{% endif %}  name="checkbox3" class="checkclass" value="BusinessHead" id="BusinessHead"><label for="BusinessHead">BusinessHead</label>
                        </div>
                        {% elif querystring == "Dispatch_Delivered" %}
                        <div class="col-xs-12 col-sm-2 col-md-2" id="srdiv">
                                <input type="checkbox" {% if alerts.recipient_1 == 'SR' %}checked{% endif %} name="checkbox1" value="SR" class="checkclass" id="sr"><label for="sr">SR</label>
                            </div>
                            <div class="col-xs-12 col-sm-2 col-md-2" id="Dealerdiv">
                                <input type="checkbox"  {% if alerts.recipient_2 == 'DEL' %}checked{% endif %}  name="checkbox2" class="checkclass" value="DEL" id="Dealer"><label for="Dealer">Dealer</label>
                            </div>
                            <div class="col-xs-12 col-sm-3 col-md-3"  id="WarehouseAdmindiv">
                                    <input type="checkbox" {% if alerts.recipient_3 == 'WHS' %}checked{% endif %} name="checkbox3" class="checkclass" value="WHS" id="WarehouseAdmin">
                                    <label for="WarehouseAdmin">Warehouse Admin</label>
                                </div>
                        {% elif querystring == 'EOD_Summary_of_Sales' %}
                        <div class="col-xs-12 col-sm-3 col-md-3"  id="ManagementRTdiv">
                                <input type="checkbox"  {% if alerts.recipient_1 == 'Management(RT)' %}checked{% endif %} name="checkbox1" class="checkclass"  value="Management(RT)" id="ManagementRT">
                                <label for="ManagementRT">Management (RT)</label>
                        </div>
                        <div class="col-xs-12 col-sm-3 col-md-3"  id="ManagementSMdiv">
                                <input type="checkbox"  {% if alerts.recipient_2 == 'Management(SM)' %}checked{% endif %} name="checkbox2" class="checkclass"  value="Management(SM)" id="ManagementSM">
                                <label for="ManagementSM">Management (SM)</label>
                        </div>
                        <div class="col-xs-12 col-sm-3 col-md-3" id="BusinessHeaddiv">
                                <input type="checkbox"  {% if alerts.recipient_3 == 'BusinessHead' %}checked{% endif %}  name="checkbox3" class="checkclass" value="BusinessHead" id="BusinessHead"><label for="BusinessHead">BusinessHead</label>
                            </div>
                        {% elif querystring == 'Order_Cancelled' %}
                        <div class="col-xs-12 col-sm-2 col-md-2" id="srdiv">
                                <input type="checkbox" {% if alerts.recipient_1 == 'SR' %}checked{% endif %} name="checkbox1" class="checkclass" value="SR" id="sr"><label for="sr">SR</label>
                            </div>
                            <div class="col-xs-12 col-sm-2 col-md-2" id="Dealerdiv">
                                <input type="checkbox"  {% if alerts.recipient_2 == 'DEL' %}checked{% endif %}  name="checkbox2" class="checkclass" value="DEL" id="Dealer"><label for="Dealer">Dealer</label>
                            </div>
                            <div class="col-xs-12 col-sm-3 col-md-3" id="BusinessHeaddiv">
                                <input type="checkbox"  {% if alerts.recipient_3 == 'BusinessHead' %}checked{% endif %}  name="checkbox3" class="checkclass" value="BusinessHead" id="BusinessHead"><label for="BusinessHead">BusinessHead</label>
                            </div>
                        {% elif querystring == 'Payment_Updated_Received' %}
                        <div class="col-xs-12 col-sm-2 col-md-2" id="srdiv">
                                <input type="checkbox" {% if alerts.recipient_1 == 'SR' %}checked{% endif %} name="checkbox1" class="checkclass" value="SR" id="sr"><label for="sr">SR</label>
                            </div>
                            <div class="col-xs-12 col-sm-2 col-md-2" id="Dealerdiv">
                                <input type="checkbox"  {% if alerts.recipient_2 == 'DEL' %}checked{% endif %}  name="checkbox2" class="checkclass" value="DEL" id="Dealer"><label for="Dealer">Dealer</label>
                            </div>
                            <div class="col-xs-12 col-sm-3 col-md-3" id="BusinessHeaddiv">
                                <input type="checkbox"  {% if alerts.recipient_3 == 'BusinessHead' %}checked{% endif %}  name="checkbox3"  class="checkclass" value="BusinessHead" id="BusinessHead"><label for="BusinessHead">BusinessHead</label>
                            </div>
                    {% endif %}

                  {% else %}
                  <div class="col-xs-12 col-sm-2 col-md-2" id="srdiv">
                        <input type="checkbox" name="checkbox1" class="checkclass" value="SR" id="sr"><label for="sr">SR</label>
                    </div>
                    <div class="col-xs-12 col-sm-2 col-md-2" id="Dealerdiv">
                        <input type="checkbox"    name="checkbox2" class="checkclass" value="DEL" id="Dealer"><label for="Dealer">Dealer</label>
                    </div>
                    <div class="col-xs-12 col-sm-3 col-md-3" id="BusinessHeaddiv">
                        <input type="checkbox"  name="checkbox3" class="checkclass"  value="BusinessHead" id="BusinessHead"><label for="BusinessHead">BusinessHead</label>
                    </div>
                  {% endif %}
                     
                <!-- <div class="col-xs-12 col-sm-2 col-md-2" id="srdiv">
                            <input type="checkbox" {% if alerts.recipient_1 == 'SR' %}checked{% endif %} name="checkbox1" value="SR" id="sr"><label for="sr">SR</label>
                        </div>
                        <div class="col-xs-12 col-sm-2 col-md-2" id="Dealerdiv">
                            <input type="checkbox"  {% if alerts.recipient_2 == 'Dealer' %}checked{% endif %}  name="checkbox2" value="Dealer" id="Dealer"><label for="Dealer">Dealer</label>
                        </div>
                        <div class="col-xs-12 col-sm-3 col-md-3" id="BusinessHeaddiv">
                            <input type="checkbox"  {% if alerts.recipient_3 == 'BusinessHead' %}checked{% endif %}  name="checkbox3" value="BusinessHead" id="BusinessHead"><label for="BusinessHead">BusinessHead</label>
                        </div>
                        <div class="col-xs-12 col-sm-3 col-md-3" style="display: none;" id="WarehouseAdmindiv">
                            <input type="checkbox" {% if alerts.recipient_3 == 'WarehouseAdmin' %}checked{% endif %} name="checkbox3"  value="WarehouseAdmin" id="WarehouseAdmin">
                            <label for="WarehouseAdmin">Warehouse Admin</label>
                        </div>
                        <div class="col-xs-12 col-sm-3 col-md-3" style="display: none;" id="ManagementRTdiv">
                                <input type="checkbox"  {% if alerts.recipient_1 == 'Management(RT)' %}checked{% endif %} name="checkbox1"  value="Management(RT)" id="ManagementRT">
                                <label for="ManagementRT">Management (RT)</label>
                        </div>
                        <div class="col-xs-12 col-sm-3 col-md-3" style="display: none;" id="ManagementSMdiv">
                                <input type="checkbox"  {% if alerts.recipient_2 == 'Management(SM)' %}checked{% endif %} name="checkbox2"  value="Management(SM)" id="ManagementSM">
                                <label for="ManagementSM">Management (SM)</label>
                        </div> -->
                </div>
                
            </div> <br>
            <h4 style="float: left; display: none; color:red;" id="errormsg">Please at least check one of the Notification Role</h4> 
            </div>
            <div class="form-group col-md-12 col-sm-12">
      
                    <div id="div_id_region_id" class="form-group">
                    <label for="id_region_id" class="control-label ">
                    Optional Email
                    </label>
                    <div class="controls ">
                    <input id="id_optionalemail" value="{{alerts.optionalemail}}" type="text" name="optionalemail" class="textinput textInput form-control">
                    </div>
                            
                        
                    </div>
                 </div>        
        
                   
                    <div class="form-group col-md-12 col-sm-12 text-right">
                        <input type="submit" onclick="return btnclick();" value="Submit" class="btn btn-primary">
                    </div>
        
                </div>
            </form>
        </div>
        
        
        
            </section>

  </form>

{% endblock %}

{% block extra_script_block %}
    {{ block.super }}
    <script>
        

        function ddlchange(){
           
            var id=$('#ID').val();
           var data=$('#id_alerts').val();
           if (id!='' && id!=undefined && id!="None"){
           window.location="/user/email-settings?ID="+id+"&&querystring="+data
           }
           else{
            window.location="/user/email-settings?querystring="+data
           }
           return true
        }
        function btnclick(){
            
            var error=false;
            var chkArray = [];
            $(".checkclass:checked").each(function() {
                chkArray.push($(this).val());
            });
            var selected;
	        selected = chkArray.join(',') ;
            if(selected.length <= 0) {
               $('#errormsg').css('display','block');
            }
            else {
                $('#errormsg').css('display','none');
                error=true;
            }
            return error
        }
    </script>
{% endblock %}
